#version 130

uniform mat4 mvMat;
uniform mat4 projMat;
uniform vec4 color;

in vec3 inVertex;
in vec2 inTexCoord;
in vec3 inColor;
in vec3 inNormal;
out vec2 texCoord;

void main(void) 
{
	mat4 finalMatrix = projMat * mvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
	texCoord = inTexCoord;
}
